Get subscription information
At any time, you can send a request to retrieve information about any subscription you have created.
The subscription information includes details such as the amount, currency, billing frequency, subscription start and end dates, etc., as well as the current subscription status at the moment of the request.
To receive information you need to perform a GET request to the endpoint /api/v1/recurring/:recurringId, where the recurringId parameter must contain the unique identifier of the corresponding recurring payment subscription.
Request example:
curl --location 'https://api.finline.io/api/v1/recurring/{recurringId}' \
--header 'X-API-AUTH: CPAY-HMAC-SHA256 ${API_KEY}:${SIGNATURE}'
Response example:
{
"recurring_payment": {
"pos_id": "d7036c18-abd7-4db6-8e90-8cc8a48cce83",
"company_id": "925343e2-ee74-4f82-89c0-47f4c01d6975",
"order_id": "cbcb36cb-c5ec-4cfd-a484-0b77840e5d68",
"amount": 100.00,
"currency": "EUR",
"cc_token": "ZTEyYTViNGUwMGYwNGMwZWFlOTk0OGU0NWZlODM4N2M6eFBZYzFpY2pNMWRVTERxZVFC",
"description": "Daily subscription",
"payway": "cc",
"server_url": "https://webhook.site/ab720654-db8a-4d51-9750-8446c295dbd0",
"customer_lang": "uk",
"customer_email": "mailgun-sandbox@gmail.com"
},
"recurring_config": {
"interval_unit": "day",
"interval_count": 1,
"retry_attempts": 3,
"retry_interval_hours": 1,
"start_date": "2026-04-01",
"expiry_date": "2026-04-03",
"time": "18:42:00"
},
"recurring_status": "expired",
"metadata": {
"id": "90b3V11eLKgzeBNN3JwlV",
"created_at": "2026-04-01T14:31:29.487",
"updated_at": "2026-04-01T14:31:29.487"
}
}
Subscription statuses:
| Status | Description |
|---|---|
| active | Subscription is active |
| canceled | Subscription was canceled. No further charges will be provided. |
| expired | Subscription end date has passed. No further charges will be provided. |